@import "~assets/styles/common/mixins"

.btn
    font-family: 'Exo 2'
    display: block
    width: 100%
    border-radius: 50px
    padding: 14px
    font-style: normal
    font-weight: normal
    font-size: 16px
    line-height: 1.4
    text-align: center
    text-transform: uppercase
    transition: all .2s ease
    cursor: pointer
    outline: none
    &--right
        margin-left: auto
    &--center
        margin: auto

.btn-primary
    @include component-field(#20DBDB, transparent, 1px solid #20DBDB) // color, bg, border
    &--min-width
        min-width: 210px

    &:hover
        @include component-field(#1C3652, #20DBDB, 1px solid 0px 0px 6px #08BDF1)
        box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1), 0 0 6px #08BDF1

    &--save
        border: 1px solid #08BDF1
        color: #08BDF1
        &:hover
            color: #fff
            background: #08BDF1
            box-shadow: none
    &--clear
        border: none
        color: #FF9B9B
        padding: 0
        &:hover
            background: none
            color: #FF9B9B
            box-shadow: none

.btn-primary[disabled]
    @include component-field(#20DBDB, transparent, 1px solid #20DBDB) // color, bg, border


.btn-info
    @include component-field(#000, #F9CD38, none)
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1)
    max-width: 194px

.btn-orange
    @include component-field(#FFA552, inherit, 1px solid #FFA552)

    &:hover
        @include component-field(#fff, #FFA552, 1px solid #FFA552)

.btn-orange[disabled]
  @include component-field(#FFA552, inherit, 1px solid #FFA552)

.btn-clear
  @include component-field(#FF9B9B, inherit, none)
  font-family: 'Exo 2'
  line-height: 19px
  max-width: 210px
  width: auto
  padding: 0
  margin: 5px 0 0

.btn[disabled]
  opacity: 0.5
